> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/pull-request.md).

# pullRequest

Details about a Pull Request related to an issue.

### Examples

```graphql
type PullRequest {
  sourceControlType: String
  issueId: String
  appId: String
  repo: String
  prId: String
  prURL: String
  prBranchName: String
  commitMessage: String
  commiter: String
  comment: String
  date: Date
  prTitle: String
  prBody: String
  prStatus: String
  prApprover: String
  prReviewer: String
  prMergeTime: Date
}
```

### Fields

| Field                      | Description                                      | Supported fields |
| -------------------------- | ------------------------------------------------ | ---------------- |
| sourceControlType `String` | Type of source control system                    |                  |
| issueId `String`           | ID of the related issue                          |                  |
| appId `String`             | ID of the related application                    |                  |
| repo `String`              | Repository name                                  |                  |
| prId `String`              | Pull request unique identifier                   |                  |
| prURL `String`             | URL link to the pull request                     |                  |
| prBranchName `String`      | Name of the branch for the pull request          |                  |
| commitMessage `String`     | Commit message associated with the pull request  |                  |
| commiter `String`          | Name of the person who committed the changes     |                  |
| comment `String`           | Additional comment about the pull request        |                  |
| date `Date`                | Date when the pull request was created           |                  |
| prTitle `String`           | Title of the pull request                        |                  |
| prBody `String`            | Body/description of the pull request             |                  |
| prStatus `String`          | Current status of the pull request               |                  |
| prApprover `String`        | Name of the person who approved the pull request |                  |
| prReviewer `String`        | Name of the reviewer of the pull request         |                  |
| prMergeTime `Date`         | Date when the pull request was merged            |                  |

### References

#### Fields with this object:

* [{} AggItem.prDeatils](/api-documentation/api-reference/api--issue/types/objects/agg-item.md)
* [{} Issue.prDeatils](/api-documentation/api-reference/api--issue/types/objects/issue.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/pull-request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
